package com.javapapers.androidactivity;

import com.javapapers.androidactivity.R;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends Activity {
	TextView objText;
	ActivityStatus objStatus = new ActivityStatus();
	String StatusList;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        objStatus.updateStatusList("MainActivity","Created");
    }

    @Override
    protected void onStart() {
        super.onStart();
        objStatus.updateStatusList("MainActivity","Started");
    }
    
    @Override
    protected void onRestart() {
        super.onRestart();
        objStatus.updateStatusList("MainActivity","Restarted");
    }

    @Override
    protected void onResume() {
        super.onResume();
        objStatus.updateStatusList("MainActivity","Resumed");
        StatusList = objStatus.getStatusList();
        objText = (TextView)findViewById(R.id.textView1);
        objText.setText(StatusList);
    }

  @Override
    protected void onPause() {
	  super.onPause();
	  objStatus.updateStatusList("MainActivity","Paused");
    }

   @Override
    protected void onStop() {
        super.onStop();
        objStatus.updateStatusList("MainActivity","Stoped");
    }

   @Override
    protected void onDestroy() {
        super.onDestroy();
        objStatus.updateStatusList("MainActivity","Destroyed");
    }

    
    public void startSubActivity(View view) {
    	 Intent objIntent = new Intent(MainActivity.this, SubActivity.class);
         startActivity(objIntent);    	
    }
}
